#$EPIC: general_privmsg,v 1.4 2002/01/13 00:27:11 anders Exp $
Synopsis:
   on [<modes>]general_privmsg [<serial#>] [-|^]<match> { <action> }

Description:
   This hook is triggered whenever the client receives a PRIVMSG from another
   client.

Parameters:
   $0    nickname of message sender
   $1    target of PRIVMSG
   $2-   text of message

See Also:
   msg(1); on(5) encrypted_privmsg, send_msg, public, msg_group,
   msg, public_other

Restrictions:
   If this hook is used in silent mode, the corresponding ON MSG, 
   ON MSG_GROUP, ON PUBLIC, and ON PUBLIC_OTHER hooks will not be thrown. 

   The client does not permit automated responses to a MSG with another MSG.
   Such replies may use NOTICE instead.  Any attempt to use MSG within this
   hook will be automatically converted to a NOTICE.  The whole point of
   this is to prevent loops between clients.

